[Toshiba Tecra M5-388] fails to boot to Unity - Nouveau driver issue

Bug #954500 reported by Dariusz Panasiuk on 2012-03-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Fails to boot to Unity via Nouveau driver.

WORKAROUND: 1. boot with acpi=off
2. install system
3. blacklisted noueveau module
4. install driver from: http://us.download.nvidia.com/XFree86/Linux-x86/304.121/NVIDIA-Linux-x86-304.121.run

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-12-generic 3.0.0-12.20
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D1', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D6c', '/dev/snd/pcmC0D6p', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xaa000000 irq 46'
   Mixer name : 'SigmaTel STAC9200'
   Components : 'HDA:83847690,11790462,00102201 HDA:11c13026,11790001,00100700'
   Controls : 10
   Simple ctrls : 8
CasperVersion: 1.287
CheckboxCommand: watch_command -q -r 5 lsusb
CheckboxDescription:
 Click 'Test' and insert a USB device within 5 seconds.
 If the test is successful, you should notice that 'Yes' is selected below.
 Do not unplug the device if the test is successful.

 If no USB device is inserted or the device is not recognized, the test will fail and 'No' will be selected below.
CheckboxTest: usb/insert
Date: Tue Mar 13 21:49:46 2012
LiveMediaBuild: This
MachineType: TOSHIBA TECRA M5
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   3.3V 32-bit PC Card
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
ProcKernelCmdLine: cdrom-detect/try-usb=true noprompt boot=casper floppy.allowed_drive_mask=0 ignore_uuid live-media-path=/multiboot/hostname111064/casper/ initrd=/multiboot/hostname111064/casper/initrd.lz splash -- BOOT_IMAGE=/multiboot/hostname111064/casper/vmlinuz
PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/23/2006
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 1.80
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 0000000000
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: Version 1.0
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion1.80:bd10/23/2006:svnTOSHIBA:pnTECRAM5:pvrPTM51E-0N8050EN:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
dmi.product.name: TECRA M5
dmi.product.version: PTM51E-0N8050EN
dmi.sys.vendor: TOSHIBA
---
.tmp.unity.support.test.1:

ApportVersion: 2.13.2-0ubuntu5
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
DistUpgraded: Fresh install
DistroCodename: trusty
DistroRelease: Ubuntu 14.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 NVIDIA Corporation G72M [Quadro NVS 110M] [10de:01da] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Toshiba America Info Systems Device [1179:0001]
InstallationDate: Installed on 2014-03-03 (0 days ago)
InstallationMedia: It
MachineType: TOSHIBA TECRA M5
Package: xorg-server (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-11-generic root=UUID=4b478fb9-b72a-4abb-80ec-82a76989d9db ro quiet splash vt.handoff=7 acpi=off
ProcVersionSignature: Ubuntu 3.13.0-11.31-generic 3.13.3
Renderer: Software
Tags: trusty ubuntu regression reproducible
Uname: Linux 3.13.0-11-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 01/29/2008
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 3.70
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 0000000000
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: Version 1.0
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion3.70:bd01/29/2008:svnTOSHIBA:pnTECRAM5:pvrPTM51E-0N8050EN:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
dmi.product.name: TECRA M5
dmi.product.version: PTM51E-0N8050EN
dmi.sys.vendor: TOSHIBA
version.compiz: compiz 1:0.9.11+14.04.20140218-0ubuntu1
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0~rc1-1ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0~rc1-1ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.15.0-1ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Tue Mar 4 00:20:51 2014
xserver.configfile: default
xserver.devices:
 input AT Translated Set 2 keyboard KEYBOARD, id 6
 input AlpsPS/2 ALPS DualPoint TouchPad TOUCHPAD, id 7
 input DualPoint Stick MOUSE, id 8
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.15.0-1ubuntu6
---
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: u'/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 304.121 Tue Mar 4 19:50:35 PST 2014
 GCC version: gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1)
.proc.driver.nvidia.warnings.fbdev:
 Your system is not currently configured to drive a VGA console
 on the primary VGA device. The NVIDIA Linux graphics driver
 requires the use of a text-mode VGA console. Use of other console
 drivers including, but not limited to, vesafb, may result in
 corruption and stability problems, and is not supported.
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3
Architecture: i386
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: Fresh install
DistroCodename: trusty
DistroRelease: Ubuntu 14.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 NVIDIA Corporation G72M [Quadro NVS 110M] [10de:01da] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Toshiba America Info Systems Device [1179:0001]
InstallationDate: Installed on 2014-05-06 (42 days ago)
InstallationMedia: It
LightdmGreeterLog:
 ** (lightdm-gtk-greeter:2523): WARNING **: Failed to load user background: Couldn't recognise the image file format for file '/usr/share/backgrounds/contest/trusty.xml'

 (lightdm-gtk-greeter:2523): Gdk-WARNING **: lightdm-gtk-greeter: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
LightdmGreeterLogOld:
 ** (lightdm-gtk-greeter:6657): WARNING **: Failed to load user background: Nie można rozpoznać formatu obrazu w pliku "/usr/share/backgrounds/contest/trusty.xml"
 g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
MachineType: TOSHIBA TECRA M5
NonfreeKernelModules: nvidia
Package: xorg-server (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic root=UUID=91e47f21-80b5-42a8-b22a-9986fba7b847 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
Tags: trusty possible-manual-nvidia-install ubuntu compiz-0.9
Uname: Linux 3.13.0-24-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/29/2008
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 3.70
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 0000000000
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: Version 1.0
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion3.70:bd01/29/2008:svnTOSHIBA:pnTECRAM5:pvrPTM51E-02R01REN:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
dmi.product.name: TECRA M5
dmi.product.version: PTM51E-02R01REN
dmi.sys.vendor: TOSHIBA
version.compiz: compiz 1:0.9.11+14.04.20140423-0ubuntu1
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0-4ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0-4ubuntu5
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Tue Jun 17 23:21:50 2014
xserver.configfile: /etc/X11/xorg.conf
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.15.1-0ubuntu2

Brad Figg (brad-figg) on 2012-03-13
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.3 kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[1] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-rc7-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing

I have installed latest upstream kernel and system would boot, but 3D causes system to freeze with default driver. Install of Nvidia proprietary driver fails.
When running checkbox-gtk with this kernel whole machine freezes when it comes to test 3D graphic - which is before USB disk test.

Regards

Dariusz

tags: added: kernel-unable-to-test-upstream
removed: needs-upstream-testing

Dariusz Panasiuk, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Hello Christopher

I will test it shortly with latest 14.04 disk and update ticket with results

Happy new year

Dariusz

Just tested with latest 14.04 image, but it doesn't look good.
System boots fine, but then freezes at the moment you try to open any applications. I managed to switch to tty1 terminal, but then it freezes after few seconds.
when booted with "acpi=off" graphical environment crashes as in previous case, but tty is usable.
I am attaching logs collected with ACPI disabled.

apport information

tags: added: apport-collected regression reproducible trusty ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I managed to run "apport-collect -p xorg-server 954500" after I have disabled acpi and installed xububuntu-desktop

summary: - automated testing usb disk test has failed
+ [Toshiba Tecra M5-388] automated testing usb disk test has failed
tags: added: latest-bios-3.70

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

  With the recent release of this Ubuntu release, would like to confirm if this bug is still present. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.13.0-24.46

apport information

tags: added: compiz-0.9 possible-manual-nvidia-install
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Update:
boot from latest 14.04 32bit show similar issue: system boots correctly only with ACPI disabled. #
I have attached screenshot with nouveau error when booting with default options.

To make this system usable I have:
1. booted with acpi=off
2. installed system
3. disabled noueveau module (blacklisted)
4. installed driver from: http://us.download.nvidia.com/XFree86/Linux-x86/304.121/NVIDIA-Linux-x86-304.121.run
5. system works fine now with proprietary driver

I have attached apport-collect from withing system working with nvidia driver in case it will give anyone helpfl information.

Regards

Dariusz

Dariusz Panasiuk, could you please expand on the Bug Description:
usb disk test has failed

summary: - [Toshiba Tecra M5-388] automated testing usb disk test has failed
+ [Toshiba Tecra M5-388] fails to boot to Unity - Nouveau driver issue

Dariusz Panasiuk, could you please test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-rc1-utopic/ and advise to the results?

description: updated
Changed in linux (Ubuntu):
importance: Medium → Low

I have just tested it with v3.16-rc3-utopic but it behaves exactly the same as with original kernel, so no improvements...

Dariusz Panasiuk, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

tags: added: bot-stop-nagging kernel-bug-exists-upstream-3.16-rc3
removed: kernel-request-3.13.0-24.46 kernel-unable-to-test-upstream
Changed in linux (Ubuntu):
status: Incomplete → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments